---
title: "Native builder"
meta_title: "Native builder"
meta_description: "Polyaxon allows users to build container images using the native builder project."
custom_excerpt: "Polyaxon native builder is a Python library for the Docker Engine API."
image: "../../content/images/integrations/native-builder.png"
author:
  name: "Polyaxon"
  slug: "Polyaxon"
  website: "https://polyaxon.com"
  twitter: "polyaxonAI"
  github: "polyaxon"
tags: 
  - containers
  - scheduling
featured: false
visibility: public
status: published
---

### Overview

Polyaxon supports multiple backend options to build container images used for running jobs or training experiments.

The native builder is a lightweight container builder, and it's the default backend used in Polyaxon deployment, it has been tested and works smoothly.

If you have changed the default build backend, and you need to use the native builder for some use cases you can follow one of the following options.  

## Using the native builder per job/experiment

In case the default build backend is the not the native builder, 
users who want to use this native builder to build container images must define explicitly the backend option in their Polyaxon files:

```yaml
...
build:
  ...
  backend: native
```

## Using the native builder as the default build backend

In order to deploy Polyaxon with the native build backend as the default builder option, users need to either remove or set `buildBackend` in their Polyaxon deployment config file.

```yaml
...
buildBackend: native
...
```

By deleting this option as well, you are using the default values, and the native build backend is one of them.
