---
title: "Tracking API Paths"
sub_link: "polyaxon-tracking-api/paths"
meta_title: "Tracking API Paths - Polyaxon References"
meta_description: "Paths tracking is a high-level API allowing data scientists running an experiment/job inside Polyaxon, to get some paths and other information exposed by Polyaxon."
visibility: public
status: published
tags:
    - tracking
    - reference
    - polyaxon
    - client
    - sdk
    - job
sidebar: "polyaxon-tracking-api"
---

Paths tracking is a high-level API allowing data scientists running an experiment/job inside Polyaxon, to get some paths and other information exposed by Polyaxon.

To access information about a Polyaxon run:

```python
from polyaxon_client.tracking import (
    get_outputs_path,
    get_outputs_refs_paths,
    get_data_paths,
    get_log_level
)
``` 


## Get outputs path: 

The outputs path generated by polyaxon based on the hierarchy of the experiment,
you can access this value by using this function `get_outputs_path`, 
this value is also exposed as an env var `POLYAXON_RUN_OUTPUTS_PATH`.

        `user/project/group/experiment/files`


## Get outputs refs paths: 

The references outputs paths requested by the user, the order follows the order specified by the user, 
you can access this value by calling this function `get_outputs_refs_paths`, 
this value is also exposed as an env var `POLYAXON_REFS_OUTPUTS_PATHS`.:

        {
            'jobs': [
                `user/project/job12/files`,
            ], 'experiments': [
                `user/project/group/experiment1/files`,
                `user/project/experiment100/files`
            ]
        }


## Get data paths: 

The data paths mounted for the job/experiment, 
you can access this value by using this function `get_data_paths`, 
this value is also exposed as an env var `POLYAXON_RUN_DATA_PATHS`:

        {
          'data1': '/data/1',
          'data-foo': '/data/foo',
        }


## Get log level: 

If set on the polyaxonfile it will return the log level,
you can access this value by using this function `get_log_level`, 
this value is also exposed as an env var `POLYAXON_LOG_LEVEL`.

