# Generated by Django 2.0.8 on 2018-09-26 08:11

import django.contrib.postgres.fields.jsonb
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import libs.blacklist
import re
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('db', '0008_experimentjob_tolerations_update'),
    ]

    operations = [
        migrations.CreateModel(
            name='ExperimentChartView',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, default=None, max_length=256, null=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid'), libs.blacklist.validate_blacklist_name])),
                ('created_at', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('charts', django.contrib.postgres.fields.jsonb.JSONField()),
                ('meta', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
            ],
            options={
                'ordering': ['created_at'],
                'verbose_name_plural': 'Experiment Chart Views',
            },
        ),
        migrations.CreateModel(
            name='ExperimentGroupChartView',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, default=None, max_length=256, null=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid'), libs.blacklist.validate_blacklist_name])),
                ('created_at', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('charts', django.contrib.postgres.fields.jsonb.JSONField()),
                ('meta', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
                ('experiment_group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='chart_views', to='db.ExperimentGroup')),
            ],
            options={
                'ordering': ['created_at'],
                'verbose_name_plural': 'Experiment Group Chart Views',
            },
        ),
        migrations.AlterModelOptions(
            name='experimentgroupstatus',
            options={'verbose_name_plural': 'Experiment Group Statuses'},
        ),
        migrations.AddField(
            model_name='buildjobstatus',
            name='traceback',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='codereference',
            name='branch',
            field=models.CharField(blank=True, default='master', max_length=124, null=True),
        ),
        migrations.AddField(
            model_name='codereference',
            name='git_url',
            field=models.CharField(blank=True, max_length=256, null=True),
        ),
        migrations.AddField(
            model_name='codereference',
            name='head',
            field=models.CharField(blank=True, max_length=40, null=True),
        ),
        migrations.AddField(
            model_name='codereference',
            name='is_dirty',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='experiment',
            name='data_refs',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, help_text='The data hashes used.', null=True),
        ),
        migrations.AddField(
            model_name='experiment',
            name='run_env',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, help_text='The run environment of the experiment.', null=True),
        ),
        migrations.AddField(
            model_name='experimentgroupstatus',
            name='traceback',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='experimentjobstatus',
            name='traceback',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='experimentstatus',
            name='traceback',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='job',
            name='data_refs',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, help_text='The data hashes used.', null=True),
        ),
        migrations.AddField(
            model_name='jobstatus',
            name='traceback',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='notebookjob',
            name='data_refs',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, help_text='The data hashes used.', null=True),
        ),
        migrations.AddField(
            model_name='notebookjobstatus',
            name='traceback',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='operationrunstatus',
            name='traceback',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='pipelinerunstatus',
            name='traceback',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='search',
            name='meta',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True),
        ),
        migrations.AddField(
            model_name='tensorboardjobstatus',
            name='traceback',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='experimentchartview',
            name='experiment',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='chart_views', to='db.Experiment'),
        ),
    ]
